body {
    font-family: Arial, sans-serif;
    text-align: center;
    color: black;
    margin: 0;
    padding: 0px;
    background-color: white;
}

html, body {
    height: 100%;
    margin: 0;
    display: flex;
    flex-direction: column;
}

main {
    flex: 1; 
}



.menu-toggle {
    font-size: 30px;
    cursor: pointer;
    position: absolute;
    top: 15px;
    left: 15px;
    background: none;
    border: none;
    color: blue;
    padding-top: 10px;
}

.sidebar {
    position: fixed;
    padding-top: 60px;
    left: 0;
    top: 0;
    width: 200px;
    height: 100%;
    background-color: gainsboro;
    box-shadow: 2px 0 5px rgba(0,0,0,0.2);
    transition: transform 0.3s ease;
    transform: translateX(-100%);
}
.sidebar.show {
  transform: translateX(0);
}

.sidebar.active {
    display: block;
}

.sidebar a {
    display: block;
    color: #04afde;
    padding: 15px;
    text-decoration: none;
    text-align: left;
    border-bottom: 1px solid rgba(255,255,255,0.2);
}

.sidebar a:hover {
    background: #5a5a5a;
}
.show-sidebar {
    left: 0;
}

header {
    display: flex;
    background-color: gainsboro;
    justify-content: center;
}
header h1 {
    color: #04afde;
    padding-top: 30px;
}

nav {
    display: flex;
    align-items: center;
    width: 100%;
    justify-content: center;
}

.logo img {
    width: auto;
    max-height: 90px;
    object-fit: contain;
}

.logo {
    display: flex;
    align-items: center;
}

footer {
    background: #333;
    color: white;
    padding: 20px 0;
    text-align: center;
    width: 100%;
}

.footer-contenidor {
    background-color: #333;
    display: flex;
    justify-content: space-around;
    align-items: center;
    flex-wrap: wrap;
    max-width: 900px;
    margin: auto;
}

.footer-info, .footer-credits {
    font-size: 16px;
    background-color: #333;
}

.footer-info a, .footer-credits a {
    text-decoration: none;
    font-weight: bold;
}

.footer-info a:hover, .footer-credits a:hover {
    text-decoration: underline;
}

.footer-logo img {
    width: 120px; 
    height: auto;
    background-color: white;
}

footer a {
    color: white;
}

div {
    background-color: #6db1e3;
    color: white;
}
div h3 {
    color: white;
}
